package com.muyu.task.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.domian.NodeTable;
import com.muyu.task.server.service.NodeTableService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("nodeTable")
public class NodeTableController {


    @Autowired
    private NodeTableService nodeTableService;

    @PostMapping
    private Result addNodeTable(NodeTable nodeTable) {
        boolean save = nodeTableService.save(nodeTable);
        return Result.success(save);
    }
    @GetMapping("/{id}")
    private Result getNodeTable(@PathVariable Long id) {
        NodeTable byId = nodeTableService.getById(id);
        return Result.success(byId);
    }


}
